Bug 273401 - Missing examples and tools
Missing examples and tools
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus-python (Show other bugs)
9
All All
medium Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-31 19:11 EDT by Jonathan Underwood
Modified: 2013-03-05 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-08-31 19:11:06 EDT
Description of problem:
The dbus-python bindings tarball includes some very helpful examples and tools
that should be packaged into either dbus-python or dbus-python-devel (probably
the latter.

Also, for some reason, on my system there are both of these directories:
/usr/share/doc/dbus-python
/usr/share/doc/dbus-python-0.82.0

# ls /usr/share/doc/dbus-python-0.82.0/
API_CHANGES.txt  COPYING      NEWS    TODO
ChangeLog        HACKING.txt  README  tutorial.txt

# ls /usr/share/doc/dbus-python/
<empty>

What's the point of installing an empty directory - this presumably in error.

Version-Release number of selected component (if applicable):
# rpm -qa | grep dbus-python
dbus-python-0.82.0-2.fc7
dbus-python-devel-0.82.0-2.fc7
dbus-python-devel-0.82.0-2.fc7
Comment 1 Bug Zapper 2008-05-14 10:11:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jonathan Underwood 2008-05-14 10:26:20 EDT
Ths examples and tools subdirectories still aren't present in the F-8
dbus-python(-devel) packages - should be reassigned to F-8 or F-9 therefore
(which I don't seem to be able to do)
Comment 3 Bug Zapper 2008-06-16 22:17:05 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Jonathan Underwood 2008-06-17 07:14:48 EDT
Reopening, the examples remain unpackaged in F-9. It'd be nice to have a
dbus-python-examples subpackage. I'll happily know up a patch to the spec file,
if you'd be willing to integrate it.
Comment 5 Bug Zapper 2009-06-09 18:48:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:54:30 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.